Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_dof_packet_data Struct Reference

## Public Attributes
GSList * | data_list
guint32 | frame
guint32 | dof_frame
struct _dof_packet_data * | next
gboolean | processed
const gchar * | summary
gint | sender_id
gint | receiver_id
gboolean | is_command
gboolean | is_sent_by_initiator
guint | sender_sid_id
guint | receiver_sid_id
dof_2009_1_pdu_19_sid | sender_sid
dof_2009_1_pdu_19_sid | receiver_sid
gboolean | has_opid
dof_2009_1_pdu_20_opid | op
gboolean | has_referenced_opid
dof_2009_1_pdu_20_opid | ref_op
struct _dof_packet_data * | opid_first
struct _dof_packet_data * | opid_next
struct _dof_packet_data * | opid_last
struct _dof_packet_data * | opid_first_response
struct _dof_packet_data * | opid_next_response
struct _dof_packet_data * | opid_last_response
const gchar * | security_session_error
dof_session_key_exchange_data * | security_session
void * | security_packet
guint8 * | decrypted_buffer
tvbuff_t * | decrypted_tvb
guint16 | decrypted_offset
gchar * | decrypted_buffer_error
void * | opid_data

## Detailed Description

DOF PACKET DATA This structure exists for each DOF packet. There is ABSOLUTELY NO transport-specific information here, although there is a session number which may relate to transport information indirectly through a transport session. There will be one of these for each DOF packet, even if the corresponding Wireshark frame has multiple DOF packets encapsulated in it. The key to this structure is the operation identifier, and there is a hash lookup to go from an operation identifier to this structure.

## Member Data Documentation

GSList* _dof_packet_data::data_list

NON-DPS FIELDS, USED FOR WIRESHARK COMMUNICATION/PROCESSING Protocol-specific data.

guint32 _dof_packet_data::dof_frame

The DPS frame/packet. This number is unique in the entire trace.

guint32 _dof_packet_data::frame

The Wireshark frame. Note that a single frame can have multiple DPS packets.

gboolean _dof_packet_data::has_opid

Operation references.

gboolean _dof_packet_data::is_command

DPP INFORMATION - CACHED INFORMATION

struct _dof_packet_data* _dof_packet_data::next

Packet linked list for all dps packets.

void* _dof_packet_data::opid_data

OPERATION DATA: Generic data, seasonal, owned by the application protocol dissector for this packet.

gboolean _dof_packet_data::processed

DPS FIELDS Indicator that the packet has already been processed. Processed packets have all their fields set that can be determined. Further attempts to determine NULL fields are worthless.

const gchar* _dof_packet_data::security_session_error

SECURITY INFORMATION - CACHED

gint _dof_packet_data::sender_id

SENDER ID/RECEIVER ID: An identifier for each unique sender/receiver according to DPS. This augments the transport SENDER ID/RECEIVER ID in determining each unique sender.

dof_2009_1_pdu_19_sid _dof_packet_data::sender_sid

SENDER SID/RECEIVER SID: The SID of the sender/receiver, or NULL if not known.

guint _dof_packet_data::sender_sid_id

SENDER SID ID/RECEIVER SID ID: An identifier for the sid associated with this packet's sender. Zero indicates that it has not been assigned. Assigned by the DPP dissector.

const gchar* _dof_packet_data::summary

SUMMARY: An operation summary, displayed in the Operation History. This is seasonal data, managed by the DPP dissector.

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/dissectors/packet-dof.c